%define upstream_name    Graphics-TIFF
%define upstream_version 7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for the libtiff library
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Graphics/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Graphics-TIFF-fixes.patch


BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Readonly)
# Tests:
BuildRequires: perl(File::Spec)
BuildRequires: perl(Image::Magick)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: pkgconfig(libtiff-4) >= 4.0.3
BuildRequires: libtiff-progs
BuildRequires: perl-devel

%description
The Graphics::TIFF module allows a Perl developer to access TIFF images.
Find out more about libtiff at the http://www.libtiff.org manpage.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install

%check
unset TEST_AUTHOR
%make_build test

%files
%doc README Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Wed Nov 11 2020 tv <tv> 7.0.0-1.mga8
+ Revision: 1644702
- imported package perl-Graphics-TIFF

